gimp-plugin-bimp (Batch Image Manipulation Plugin for GIMP)

With BIMP you can apply a set of GIMP manipulations on groups of
images. It provides an easy to use interface and a lot of batch
functions:

Resize, Crop, Flip and rotate, Blurring and sharpening, Color (and
curve) correction, Watermark, Rename, Change compression and format,
and much more.
